KintsugiKintsugi
API reference / Suggestions

Suggestions

POST/v1/address_validation/suggestions

This API endpoint provides address suggestions based on partial input data. It helps users auto-complete and validate addresses efficiently by returning a list of suggested addresses that match the input criteria. This improves accuracy, increases speed, reduces errors, and streamlines the data entry process.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Body

line1string

Primary address line, such as street name and number

line2string

Additional address details, such as an apartment or suite number

line3string

Additional address details for complex addresses

citystring

The city or town name for the address

statestring

State, province, or region of the address

countrystring

Country code in ISO 3166-1 alpha-2 format (e.g., 'US' for the United States). Defaults to 'US'. should not be empty. Not validating here as the validation structure can be different for different providers

postalCodestring

ZIP or postal code for the address. Can be empty for some locales. Not validating here as the validation structure can be different for different providers

idinteger

Unique identifier for the request, if applicable

countystring

County or district name for the address

full_addressstring

A complete address string that can be used as an alternative to providing individual fields.

Response

200

Successfully retrieved address suggestions

401

The request is missing a valid x-api-key.

422

Validation error - Address fields failed validation or are incomplete

500

An unexpected server error occurred.

cURL
POST /v1/address_validation/suggestions
-H "x-api-key: ***"
-H "x-organization-id: ***"
{
"line1": "1600 Amphitheatre Parkway",
"line2": "",
"line3": "",
"city": "Mountain View",
"state": "CA",
"postalCode": "94043",
"id": 215,
"county": "",
"full_address": "1600 Amphitheatre Parkway, Mountain View, CA 94043",
"country": "US"
}
Response
[
{
"city": "MOUNTAIN VIEW",
"county": "Santa Clara County",
"state": "CA",
"postal_code": "94043",
"country": "US"
},
{
"city": "MOUNTAIN VIEW",
"county": "Santa Clara County",
"state": "CA",
"postal_code": "94040",
"country": "US"
}
]